Package org.eclipse.m2m.atl.emftvm.cdo.impl

## Class CDOModelImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.m2m.atl.emftvm.impl.ModelImpl
        - - org.eclipse.m2m.atl.emftvm.cdo.impl.CDOModelImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `Model`

Direct Known Subclasses:
  `CDOMetamodelImpl`

    public class CDOModelImpl
    extends ModelImpl

CDO implementation of `Model`.

### Nested Class Summary

Nested Classes
`static class` `CDOModelImpl.InResourceList` `LazyList` that returns only instances within a given `Resource`.

### Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.impl.ModelImpl

`ModelImpl.InstanceOfList`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.impl.ModelImpl

`allInstancesMap, ALLOW_INTER_MODEL_REFERENCES_EDEFAULT, allowInterModelReferences, resource, RESOURCE_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`CDOModelImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`LazyList<org.eclipse.emf.ecore.EObject>` `allInstancesOf​(org.eclipse.emf.ecore.EClass type)` Returns all instances of the given `type`.
`void` `deleteElement​(org.eclipse.emf.ecore.EObject element)` Deletes a root element from this `Model`.
`org.eclipse.emf.ecore.EObject` `newElement​(org.eclipse.emf.ecore.EClass type)` Creates a new model element of the given
`void` `setResource​(org.eclipse.emf.ecore.resource.Resource newResource)` Sets the value of the '`Resource`' attribute.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.impl.ModelImpl

`eGet, eIsSet, eSet, eStaticClass, eUnset, getResource, isAllowInterModelReferences, setAllowInterModelReferences, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Constructor Detail

#### CDOModelImpl

    public CDOModelImpl()

### Method Detail

#### setResource

    public void setResource​(org.eclipse.emf.ecore.resource.Resource newResource)

Sets the value of the '`Resource`' attribute.

Specified by:
  `setResource` in interface `Model`
Overrides:
  `setResource` in class `ModelImpl`
Parameters:
  `newResource` - the new value of the 'Resource' attribute.
See Also:
  `Model.getResource()`

#### allInstancesOf

    public LazyList<org.eclipse.emf.ecore.EObject> allInstancesOf​(org.eclipse.emf.ecore.EClass type)

Returns all instances of the given `type`.

Specified by:
  `allInstancesOf` in interface `Model`
Overrides:
  `allInstancesOf` in class `ModelImpl`
Parameters:
  `type` - the metaclass for which to find the instances
Returns:
  all instances of the given `type`.

#### newElement

    public org.eclipse.emf.ecore.EObject newElement​(org.eclipse.emf.ecore.EClass type)

Creates a new model element of the given

    type

in this `Model`.

Specified by:
  `newElement` in interface `Model`
Overrides:
  `newElement` in class `ModelImpl`
Parameters:
  `type` - the metaclass to instantiate
Returns:
  a new instance of the given

      type

#### deleteElement

    public void deleteElement​(org.eclipse.emf.ecore.EObject element)

Deletes a root element from this `Model`.

Specified by:
  `deleteElement` in interface `Model`
Overrides:
  `deleteElement` in class `ModelImpl`
Parameters:
  `element` - the model element to delete